Bug 32426 - Show apps on defined server role
Show apps on defined server role
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - App-Center
UCS 3.1
Other Linux
: P5 enhancement (vote)
: UCS 3.2
Assigned To: Dirk Wiesenthal
Florian Best
: interim-2
Depends on:
Blocks: 32309
  Show dependency treegraph
 
Reported: 2013-08-29 10:13 CEST by Stefan Gohmann
Modified: 2013-11-19 06:41 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2013-08-29 10:13:06 CEST
Currently all apps are shown on all server roles. The App Center should show the apps only if the server role in the ini file matches the local server role.

If no server role was specified in the ini file the app should be shown on every server role.
Comment 1 Dirk Wiesenthal univentionstaff 2013-09-02 18:02:06 CEST
Fixed in
  univention-management-console-module-appcenter 3.0.23-1.175.201309021757

Apps are just filtered in the App Center overview, not removed completely (i.e. they still exist internally). Otherwise

  ServerRole=domaincontroller_slave
  DefaultMasterPackages=some-pkg

would fail to install properly.
Comment 2 Florian Best univentionstaff 2013-09-19 10:47:32 CEST
Fix OK
Changelog OK
Comment 3 Stefan Gohmann univentionstaff 2013-11-19 06:41:40 CET
UCS 3.2 has been released:
 http://docs.univention.de/release-notes-3.2-en.html
 http://docs.univention.de/release-notes-3.2-de.html

If this error occurs again, please use "Clone This Bug".